classification
Title: Correct FileIO docstrings
Type: behavior Stage: resolved
Components: Documentation, IO Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: benjamin.peterson, berker.peksag, docs@python, hynek, pitrou, python-dev, serhiy.storchaka, stutzbach, terry.chia, vstinner
Priority: normal Keywords: easy, patch

Created on 2014-06-24 11:49 by serhiy.storchaka, last changed 2014-09-24 09:54 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue21860.patch terry.chia, 2014-06-24 14:56 review
Messages (6)
msg221452 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 11:49
Docstrings for seek() and truncate() methods of FileIO declare that they return None. Actually they return truncated size and new position respectively.
msg221463 - (view) Author: Terry Chia (terry.chia) * Date: 2014-06-24 14:56
Is this acceptable?
msg224266 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-07-29 22:30
The patch looks good to me.
msg227432 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-24 09:44
New changeset 2058d94f32dd by Berker Peksag in branch '3.4':
Issue #21860: Correct docstrings of FileIO.seek() and FileIO.truncate() methods.
https://hg.python.org/cpython/rev/2058d94f32dd

New changeset de645efe6a9b by Berker Peksag in branch 'default':
Issue #21860: Correct docstrings of FileIO.seek() and FileIO.truncate() methods.
https://hg.python.org/cpython/rev/de645efe6a9b
msg227433 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-09-24 09:45
Thanks for the patch, Terry.
msg227434 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-24 09:54
New changeset be2746c565c2 by Berker Peksag in branch '2.7':
Issue #21860: Correct docstrings of FileIO.seek() and FileIO.truncate() methods.
https://hg.python.org/cpython/rev/be2746c565c2
History
Date User Action Args
2014-09-24 09:54:27python-devsetmessages: + msg227434
2014-09-24 09:45:36berker.peksagsetstatus: open -> closed

assignee: vstinner -> berker.peksag
versions: + Python 3.5, - Python 3.3
nosy: + berker.peksag

messages: + msg227433
resolution: fixed
stage: commit review -> resolved
2014-09-24 09:44:11python-devsetnosy: + python-dev
messages: + msg227432
2014-07-31 18:54:20serhiy.storchakasetassignee: docs@python -> vstinner
stage: needs patch -> commit review
2014-07-29 22:30:45vstinnersetmessages: + msg224266
2014-07-22 20:52:32serhiy.storchakasetnosy: + vstinner
2014-06-24 14:56:08terry.chiasetfiles: + issue21860.patch

nosy: + terry.chia
messages: + msg221463

keywords: + patch
2014-06-24 11:49:52serhiy.storchakacreate